#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
int n,m;
static int d[200000],u[200000];
cin>>n>>m;
for(int i=0;i<n;i++)
    cin>>d[i]>>u[i];
int l,r,x,s;
for(int i=0;i<m;i++)
{
    s=0;
    cin>>l>>r>>x;
    l--;
    r--;
    for(int i=l;i<=r;i++)
        if(x>=d[i]&&x<=u[i])s++;
    cout<<s<<"\n";

}

    return 0;
}